<template>
  <div>
    <Toolbar>
      <template #start>
        <Button icon="pi pi-bars p-toolbar-separator mr-2" @click="visibleLeft = true" />
      </template>
      <template #end>
        <Menubar :model="nestedMenuitems" />
      </template>
    </Toolbar>
    <Sidebar :visible.sync="visibleLeft">
      PbConv Itens
    </Sidebar>
  </div>
</template>

<script>
import Toolbar from 'primevue/toolbar'
import Button from 'primevue/button'
import Sidebar from 'primevue/sidebar'
import Menubar from 'primevue/menubar'

export default {
  name: 'MenuBar',
  components: { Toolbar, Button, Sidebar, Menubar },
  data () {
    return {
      visibleLeft: false,
      nestedMenuitems: [
        {
          label: 'Minha Conta',
          icon: 'pi pi-fw pi-user',
          items: [
            {
              label: 'Configurações',
              icon: 'pi pi-fw pi-cog'
            },
            {
              label: 'Sair',
              icon: 'pi pi-fw pi-sign-out',
              command: () => { this.logout() }
            }
          ]
        }
      ]
    }
  },
  methods: {
    async logout () {
      await this.$auth.logout()
    }
  }
}
</script>

<style>
.p-button:enabled:active {
    background: #868e94;
    color: #ffffff;
    border-color: #383d41;
}
.p-button:enabled:hover {
    background: #5a5d5f;
    color: #ffffff;
    border-color: #5b6064;
}
.p-button {
    color: #ffffff;
    background: #3f4244;
    border: 1px solid #3f4244;
    padding: 0.5rem 1rem;
    font-size: 1rem;
    transition: background-color 0.2s, color 0.2s, border-color 0.2s, box-shadow 0.2s;
    border-radius: 3px;
}
.p-button:focus {
    outline: 0 none;
    outline-offset: 0;
    box-shadow: 0 0 0 0.2rem #b4bcc1;
}

.p-menubar .p-menuitem-link:not(.p-disabled):hover {
    background: #e9ecef;
}
</style>
